Create a paymentLink

Creating a payment link provides means to redirect to a payment interface based on the information provided.
This link will remain usable until a successful payment has been completed, the expiration date has passed, or a certain number of payment attempts have been reached.
You can set an expiration date up to 70 days from the current date.

Body Params
string
required
1 to 50

Point of sale reference identifier.

paymentMethod
object

The suggested payment method.

order
object
required

Order information

payment
object

Payment information.

buyer
object

Buyer information.

delivery
object

Delivery object

threeDS
object

3DS information

privateData
object

Additional data to be used throughout the payment lifecycle.
A dictionary of key-value pairs where the values can only be strings.
e.g. {"suborderid": "AE-3023-001", "chanel": "mobile"}

miscData
object

miscData can be transmit to the payment method partners.
Consult the payment method for each use.
miscData is a dictionary values can be of any type (aka free-form object) Example:
{ "key1": "value1", "key2": "value2" } or "SBCC": { "membershipStatus": "01", "deferredPayment": { "numberOfDays": "060" }

string
required

URL on which the buyer's browser is redirected in case of acceptance or refusal of payment on Monext Online.
The merchant must call getWebPaymentDetails or GET /sessions.

string

URL on which Monext Online will ask the merchant site to retrieve the result of the transaction.

string

Buyer browser language by default. Example : FR

string

The identifier of customized template pages.
If not set, the default one will be used.

subMerchant
object

Payment Facilitator Information.
See Payment Facilitator documentation

string
enum
Defaults to WITHOUT_CVV

Defines whether the CVV is required during a 1-click payment.
Possible values: WITH_CVV, WITHOUT_CVV.
By default, or if the field is left empty, the CVV will not be requested.

Allowed:
string
1 to 50

The unique identifier of Monext virtual wallet.
You must provide Monext with an unique identifier that corresponds to one and only one buyer on your information system.
This identifier will be used when you request a payment by Monext virtual wallet.
MXWallet ID must:

  • Start and contain only an alphanumeric characters (A-Z, a-z, 0-9).
  • May include dots ('.'), hyphens ('-'), and underscores ('_').
  • Have a length between 1 and 50 characters.
date

Payment link's expiration date
Format: yyyy-MM-dd

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*

Monext Retail API documentation
Monext 2025